Subject: [urn] (resend) Suggestion about 3044bis (ISSN), 3187bis (ISBN), and 3188bis (NBN)

From: John C Klensin <[email-masked]>
Date: Fri, 02 Aug 2013 07:30:59 -0400

(sorry... sent with the wrong address... for those who get this,
the content is identical)

Hi.

Given the direction the registration model in 3406bis seems to
be taking [1] and some informal discussions during June's
meeting of ISO TC 46, I'd like to propose the following:

(1) We convert the 3044bis (ISSN), 3187bis (ISBN), and 3188bis
(NBN) I-Ds to draft templates.  If the present authors don't
have the time or energy to do this soon, I'm willing to take a
shot at first drafts in the interest of moving this along but
checking and help from the proposed "expert committee" would be
appreciated.

(2) Assuming the IAB doesn't raise procedural objections [2], we
send notes to the three relevant registration bodies asking them
to take formal responsibility for the URN namespaces that build
on their numbering schemes, starting with reviewing, revising if
necessary, and submitting the templates.  Given previous
discussions that things might conceivably move in this
direction, they won't be surprised.  And, given a registration
model based on expert review and my previous comments on this
mailing list about recognized SDOs, this is just The Right Thing
to do.

(3) The steps above leave us with a few loose ends which I think
are actually a convenience:

	(3.1) We need to obsolete 2288, 3044, 3187, and 3188.
	
	(3.2) We need to capture any important text from the
	three I-Ds that won't be in the derived templates and/or
	ensure that it ends up in stable, referenced, documents
	[3].
	
	(3.3) As a matter of equity and professional courtesy
	(and IETF IPR rules if significant text is used), the
	work of the key authors of the current I-Ds should be
	appropriately acknowledged.

	(3.4) We are going to need a document to instruct IANA
	about replacing the old (and "IETF Reviewed")
	registrations with ones based on the new templates.
	Those instructions may well designate the new
	authorities for the specs.  

Recommendation: we spin up a new WG draft to deal with the
issues above.  If Alfred and Juha can find the time to review
and make suggestions (and commit to the AUTH48 process), I
suggest we make them co-authors.  While this isn't the way we
expected things to come out when URNbis was started, it is a
better outcome and we wouldn't be here without their efforts.

In the interest of preserving the recent momentum, if
participants in the WG and its leadership think the above is
sensible, I'll try to cons up [4] a preliminary version of an
I-D within the next few days.

best,
     john

[1] For those who missed the WG session, we seem to be shifting
toward a well-documented extension of expert review, rather than
requiring IETF review.  I'll post a separate note on that, but
you may want to listen to the rather brief audio (should be at
http://www.ietf.org/audio/ietf87/ietf87-charlottenburg1-20130802-1120-am2.mp3
soon) and/or review the slides
(http://www.ietf.org/proceedings/87/slides/slides-87-urnbis-0.pdf)
if this note doesn't provide enough context.

[2] We have a formal liaison relationship with ISO TC 46, which
is the parent body for the relevant standards.  We don't have
formal relationships with the various registration and
assignment bodies.  I'm not aware of our sending notes
equivalent to liaison letters to groups with whom we don't have
formal liaison relationships, but it would be, at least IMO,
silly to use procedures and that history to prevent getting
things done.  However, we could, if needed, send notes to the TC
46 Secretariat and ask them to forward, then, since liaison
letters are public, quietly slip links to the other bodies.

[3] Good news here: The meaning of words like "stable",
"archival", and "persistent" around ISO TC 46 and its subgroups
is far more stringent than anything the IETF or IANA have been
able to think about in specific terms, so no problem there.

[4] This term is left as an exercise for those who are not
native speakers of the right branches of computer science,  It
is _not_ English and failure to recognize it does not represent
an English deficiency or an offense against diversity :-(.

---

From: Juha Hakala <[email-masked]>
Date: Tue, 06 Aug 2013 15:52:36 +0300

Hello John; all,

See the comments below.

> checking and help from the proposed "expert committee" would be
I am willing (and hopefully also able) to prepare draft templates from 
existing 3187bis and 3188bis, and cooperate with Pierre Godefroy in 
writing the ISSN template. Some technical support will probably be 
needed to create the actual documents.

It is a good idea to replace the current practice (IETF Review) with 
less stringent expert review.  Writing an RFC - even an informational 
one - and having it reviewed by IETF may look like a difficult process. 
Of course we know from the past experience that the acceptance criteria 
have not been strict and therefore there are all kinds of namespaces - 
which is fine with me. But the main difference between them is that some 
namespaces are well managed and some are not, and this difference cannot 
be seen clearly from the current registration requests.
> mailing list about recognized SDOs, this is just The Right Thing
+ 1.
> 	(3.1) We need to obsolete 2288, 3044, 3187, and 3188.
OK.
> 	ensure that it ends up in stable, referenced, documents
We might use this opportunity to take a look on what 3406 requires now, 
and make some revisions if necessary / possible.

Based on my work with 3187bis and 3188bis, there are some things we may 
want to consider:

1. Should the data elements be defined as mandatory / voluntary?

2. Should the description of both registering organization and contact 
person include the role (in addition to the name and address)?

3. Many template items could be merged into Description of the 
identifier system, containing e.g. these components (in this order):

- formal status of the identifier (e.g. ISBN is an ISO standard XXX)
- scope (e.g. printed and e-books for ISBN)
- users (e.g. publishing industry and libraries for ISBN)
- identifier semantics (if any) and syntax (including equivalence rules, 
if any)
- identifier persistence and uniqueness considerations (mandatory, for 
evaluation purposes)
- examples of resolution services that can be supported in the 
namespace, if any

Fullness of the information provided will vary a lot from one namespace 
to the next.

4. The current template does not require the registrants to specify how 
the namespace is managed. Describing the role of the registering 
organisation will help a bit, but we should consider allowing the 
registrants to say more about this, for instance by just simply 
estimating the management level in a scale from 1 to 10. I could then 
indicate that ISBN namespace differs from NBN a lot in this respect. We 
should of course provide some hints as to how to choose the appropriate 
management level. For instance, no namespace based on in-house 
identifier should ever receive more than "X".

Even a rough estimate of the management level would be useful to the 
users of the URN system, since well managed URNs (and resources 
identified by them) may be more persistent than URNs from less 
privileged namespaces. And organisations considering usage of any given 
namespace should be very interested in its management level.

> 	appropriately acknowledged.
OK.
> 	authorities for the specs.
OK.
> better outcome and we wouldn't be here without their efforts.
This is fine with me, but I do not know if Alfred will be able to 
contribute. If not, I'll need help in the publishing process.
> I-D within the next few days.
Thank you for making this easier for me, Alfred and Pierre,

Juha
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

-- 

  Juha Hakala
  Senior advisor

  The National Library of Finland
  P.O.Box 15 (Unioninkatu 36, room 503)
  FIN-00014 Helsinki University
  tel +358 9 191 44293